"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.info = exports.log = exports.setPrefix = void 0;
let prefix = () => "";
const setPrefix = (func) => {
    if (typeof func !== "function") {
        throw new Error("Prefix must be a function");
    }
    prefix = func;
};
exports.setPrefix = setPrefix;
const log = (...args) => {
    console.log(prefix(), ...args);
};
exports.log = log;
exports.info = exports.log;
exports.default = {
    setPrefix: exports.setPrefix,
    log: exports.log,
    info: exports.info
};
//# sourceMappingURL=logger.js.map