export declare type NotifierHandler<T> = (arg0?: T) => void;
export declare class Notifier<T extends string, A extends object> {
    #private;
    add(event: T, handler: NotifierHandler<A>): void;
    remove(event: T, handler: NotifierHandler<A>): void;
    notify(event: T, msg?: A): void;
}
